| Kea 3.0.2-git

io_service_signal.h File Reference
`#include <asiolink/io_service.h>`
`#include <boost/shared_ptr.hpp>`
Include dependency graph for io_service_signal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::asiolink::IOSignalSet
| Implements an asynchronous "signal" for IOService driven processing. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::asiolink

## Typedefs
typedef std::function< void(int signum)> | isc::asiolink::IOSignalHandler
| Defines a handler function for an IOSignal.
typedef boost::shared_ptr< IOSignalSet > | isc::asiolink::IOSignalSetPtr
| Defines a pointer to an IOSignalSet.